Eclipse Platform Release 3.7

## org.eclipse.update.standalone
Class EnableCommand

    java.lang.Object
      org.eclipse.update.standalone.ScriptedCommand
          org.eclipse.update.standalone.EnableCommand

All Implemented Interfaces:
  IOperationListener

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class EnableCommand

extends ScriptedCommand

Command to enable (configure) a feature.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.update.standalone.ScriptedCommand
`verifyOnly`

Constructor Summary
`EnableCommand(String featureId, String version, String toSite, String verifyOnly)` Deprecated.

Method Summary
`boolean` `run(IProgressMonitor monitor)` Deprecated. Executes the command.

Methods inherited from class org.eclipse.update.standalone.ScriptedCommand
`afterExecute, applyChangesNow, beforeExecute, getConfiguration, isVerifyOnly, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnableCommand

    public EnableCommand(String featureId,
                         String version,
                         String toSite,
                         String verifyOnly)
                  throws Exception

  Deprecated.
  Throws:
    `Exception`

Method Detail

### run

    public boolean run(IProgressMonitor monitor)

  Deprecated.
  Description copied from class: `ScriptedCommand`
  Executes the command. Subclasses are responsible for implementing this method. If the command was constructed with verifyOnly=true, the command should not execute, but only verify it can execute.

  Specified by:
    `run` in class `ScriptedCommand`
  Parameters:
    `monitor` - progress monitor during command execution.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.